/* 
    DimensionalityException.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/
//------------------------- Edit history (since 10/21/05) -----------------------
// 10/21/05 rdb: Cleaned up unused variables and some reformatting.
//-------------------------------------------------------------------------------

package edu.unh.sdb.common;
//import java.io.*;

/** This exception is thrown whenever an IndexSpaceID has an 
 *   inappropriate dimensionality. 
 */
public class DimensionalityException extends SDBException
{    
   private static final long serialVersionUID = 0; // for serialization inheritance
    /** Create an exception with the specified message.*/
    DimensionalityException(String message){
    
        super(message);
    }
    

} 