//
//  Globals.java
//  Unstructured
//
//  Created by Philip Rhodes on Mon Nov 18 2002.
//  Copyright (c) 2002 University of New Hampshire. All rights reserved.
//

package edu.unh.sdb.common;

/** The Globals class holds static data members that represent properties and
 *	variables that are global to the SDB system.
*/
public class Globals {

    public static String toStringIndent="  ";
		public static int serverControlPort = 2223;
		public static int serverDataPort = 1111;
		public static int serverAlarmPort = 3333;
		public static int clientDataPort = 5555;
		public static int clientControlPort = 4445;
		
		public static int CNSock = 1028;
		
		public static int RemoteServerInitialDelayDefaultValue = 2;
		public static int RemoteServerDelayLengthDefaultValue = 1;
		public static int RemoteServerFinalDelayDefaultValue = 1;
		public static int RemoteTransferBufferSizeDefaultValue = 8192;

		public static int TCP = 0;
		public static int UDP = 1;
		public static int UDT = 2;
}
