/* 
	InternalFaultException.java
	Copyright 2000 University of New Hampshire
	Durham, NH 03824
*/

package edu.unh.sdb.common;
//import java.io.*;

/** Thrown whenever something happens that should be impossible occurrs.
 *     For example, if a data member has an illegal value, then this exception
 *     should be thrown.
 *       In theory, this should never happen, right?! And even in practice, if
 *     we check constructor and method arguments carefully, we would generate
 *     an IllegalArgumentException earlier, rather than an InternalFaultException
 *     later on.
 */
public class InternalFaultException extends SDBException{
   private static final long serialVersionUID = 0; // for serialization inheritance

    /** Create an exception with the specified message.*/
	InternalFaultException(String message){
	
		super(message);
	}


} 