package edu.unh.sdb.common;

//--------------------------TypeBuilder class ----------------------
//  Created by Denise Mitchell Summer 2002.

/** Manufactures Type objects. Hold relevant data and validates before
 *instantiating the appropriate objects. */


abstract public class TypeBuilder
{
  
  // the name of the pending datasource
  private String name;
    
  // a flag to denote that a problem has occurred and this
  // object is not to be instantiated
  protected boolean discardFlag;
    
  /** Default Constructor.*/
  public TypeBuilder(String n)
  {
    setName(n);
  }
   
    /** Sets the name to the String provided*/
    public void setName(String s)
    {
      name = s;
    }
  
    /** Returns the name*/
    public String getName()
    {
      return name;
    }

   /** diagnostic utility method for dumping this class to a string **/
    public String toString()
    {
      String s = "Type: ";
      s = getName(); 
      if (s == null)
        s = "NO TYPE NAME SPECIFIED";
      return s;
    }
 }
