/* 
    FileDataSource.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/


package edu.unh.sdb.datasource;

import edu.unh.sdb.common.*;
//import java.io.*;

/** FileDataSource is an abstract class meant to serve as a parent class for all
    DataSources that read from a file. It provides a FileInputStream for reading
    from the file specified by the URL argument of the constructor. 
    
    FIXME: It's looking like the FileInputStream will not be useful for OldBinaryFileDataSource,
    so the existence of this parent class is in doubt. Let's leave it for now, 
    in case we come up with methods common to all DataSources that read from a file.
*/

public abstract class FileDataSource extends PhysicalDataSource{

    //protected FileInputStream dataFile;

    FileDataSource(String name,RecordDescriptor r, ISBounds db, AxisOrdering ordering, String URL){
    
        super(name,r,db,ordering,URL);
        
    }

//    public void activate(){
//    
//        super.activate();
//        
//        try {
//            this.dataFile=new FileInputStream(this.getURL());
//        } catch (IOException e){
//            new FileError(SDBError.Recoverable,"IOException in FileDataSource activate(): "+e);
//        }
//    }
//
//
//	/** Releases the datum array.*/
//	public void deactivate(){
//   
//        try {
//            this.dataFile.close();
//        } catch (IOException e){
//            new FileError(SDBError.Recoverable,"IOException in FileDataSource deactivate(): "+e);
//        }
//		
//		
//	}
//
//
//
//    /** Return a String representing the object. */
//    public String toString(){
//        
//        return this.toString("");
//    }    
//    
//    /** Return a String representing the object indented by the argument string. */
//    public String toString(String indent){
//
//        StringBuffer result=new StringBuffer(indent+"FileDataSource:\n");
//        
//        result.append(indent+"dataFile="+dataFile+"\n");
//        
//        result.append(super.toString(indent));
//
//        return new String(result);
//    }
    
}
