/*
  RectilinearCellID.java
  Copyright 2004 University of New Hampshire
  Durham, NH 03824
  Programmer: LI YE
*/

/**
 * The RectilinearCellID class indicates the identifier of a cell in 
 * a rectilinear cell space. It is extended from CellID class
 */

package edu.unh.sdb.datasource;
                                                                                
//import java.io.*;
//import edu.unh.sdb.common.*;
                                                                                
public abstract class RectilinearCellID extends CellID {

   /** Constructor without argument */
   public RectilinearCellID()
   {
      super();
   }
 
   /** Constructor takes a single IndexSpaceID that represents the position
     * of a cell in a rectilinear cell space.
     */
   public RectilinearCellID(IndexSpaceID p)
   {
      super(p);
   }
}
