//
//  Borrowed2DTriangleCell.java
//  Unstructured
//
//  Created by Philip Rhodes on Thu Aug 21 2003.
//  Copyright (c) 2003 University of New Hampshire. All rights reserved.
//

package edu.unh.sdb.lattice;

import edu.unh.sdb.datasource.*;
import edu.unh.sdb.common.*;



public class Borrowed2DTriangleCell extends TriangleCell {

	protected CellID ownerCell;
	
//	public Borrowed2DTriangleCell(Datum vIndices, int firstField, DataSource dataDS, CellID ownerCell){
//	
//		super(null, null, 2);
//		
//		this.ownerCell=ownerCell;
//	}


	public Borrowed2DTriangleCell(	DataSource vIndicesDS, 
									DataSource vertexInfoDS, 
									RecordSpec vIndicesRS, 
									RecordSpec coordsRS,
									RecordSpec dataRS, 
									RecordSpec cellIDRS,
									IndexSpaceID cellIndex){   
	
		
		super(vIndicesDS, vertexInfoDS, vIndicesRS, coordsRS, dataRS, 2, cellIndex);
	
		Datum cellIDDatum=vertexInfoDS.datum(cellIndex, cellIDRS);
		
		this.ownerCell=new CellID(cellIDDatum, 2);
	}


	CellID getOwnerCellID(){
	
		return this.ownerCell;
	}
	
    /** Return a String representing the object. */
    public String toString(){
        
        return this.toString("");
    }

    
    
    /** Return a String representing the object indented by the argument string. */
    public String toString(String indent){

/*    
        StringBuffer result=new StringBuffer(indent+"Borrowed2DTriangleCell:\n");
		String indent2=indent+Globals.toStringIndent;
		
        result.append(super.toString(indent2));
		result.append("\n");
		result.append(indent2+"Owner id="+ownerCell);
        
        return new String(result);
*/
		return super.toString("");
    }
	

}
