//
//  FileCellGroupGrid.java
//  Unstructured
//
//  Created by Philip Rhodes on Sun Aug 31 2003.
//  Copyright (c) 2003 University of New Hampshire. All rights reserved.
//
//------------------- Edit history --------------------------------------
// 10/21/05 rdb: removed unused variables
//-----------------------------------------------------------------------

package edu.unh.sdb.lattice;

import edu.unh.sdb.datasource.*; 


public abstract class FileCellGroupGrid extends CellGroupGrid{

	String baseFileName;

	public FileCellGroupGrid(Partitioning partitioning, AxisOrdering ordering, String baseFileName){
		
		super(partitioning, ordering);
	
		if(baseFileName != null){
			this.baseFileName= new String(baseFileName);
		}
	}
	
	
	public void writeCells(){
	
		ISBounds gridBounds=this.partitioning.getISBounds();
		ISIterator iter=new ISIterator(gridBounds);
        /** unused code
		RecordDescriptor rd=new RecordDescriptor( 
							new AttributeDescriptor [] {
									new AttributeDescriptor(StorageType.Int, "v0"),
									new AttributeDescriptor(StorageType.Int, "v1"),
									new AttributeDescriptor(StorageType.Int, "v2")
							}
		);
         /****/
		
		//ISBounds sinkBounds=new ISBounds(new IntegerIndexSpaceID(0), new IntegerIndexSpaceID(0));
		long  groupIndex;
		//DataSink sink;
		
		
		for(iter.init(); iter.valid(); iter.next()){
			
			
			groupIndex=AxisOrdering.computeOffset(iter, this.axisWeights);			
			
			((FileCellGroup)this.groups[(int)groupIndex]).writeCells(dataFileName("Foo",iter));
			
		}
	}
	
	protected static String dataFileName(String baseFileName, IndexSpaceID id){
	
		int i, d=id.dim();
		StringBuffer buf=new StringBuffer(baseFileName);
		
		//buf.append("#");
		for(i=0; i < d; i++){
			
			buf.append(id.getCoord(i));
			buf.append("x");
		}
		
		
		return new String(buf);
	}
	
}
