//
//  OwnerInfo.java
//  Unstructured
//
//  Created by Philip Rhodes on Wed Aug 13 2003.
//  Copyright (c) 2003 University of New Hampshire. All rights reserved.
//

package edu.unh.sdb.lattice;

class OwnerInfo{
	
	boolean hasOwner;
	boolean isContained;
	CellID ownerID;
	
	CellGroup [] borrowers;
	int numBorrowers;
	
	
	OwnerInfo(int size){
	
		borrowers=new CellGroup[size];
		numBorrowers=0;
		isContained=false;
		hasOwner=false;
		ownerID=null;
	}
	
	
	void addBorrower(CellGroup b){
	
		this.borrowers[this.numBorrowers++]=b;
	}
	
	
	void reInit(int size){
	
		ownerID=null;
		hasOwner=false;
		isContained=false;
		numBorrowers=0;
		if(this.borrowers.length < size){
			borrowers=new CellGroup[size];
		}
	}
			
}
