/* 
	RegularCellGeometry.java
	Copyright 2000 University of New Hampshire
	Durham, NH 03824
*/

package edu.unh.sdb.lattice; 
import edu.unh.sdb.datasource.*;


public class RegularCellGeometry extends  Geometry{

    
	
	public RegularCellGeometry(ISBounds topoBounds, GBounds bounds){
	
		super(bounds, new RegularPartitioning(topoBounds.copyReducedBy(1), bounds), true);
	}
	
	public RegularCellGeometry(GBounds bounds, RegularPartitioning partition){
	
		super(bounds, partition, true);
	}

}
