/* 
	RegularPointGeometry.java
	Copyright 2000 University of New Hampshire
	Durham, NH 03824
*/

package edu.unh.sdb.lattice; 
import edu.unh.sdb.datasource.*;


public class RegularPointGeometry extends  Geometry{

    
	
	public RegularPointGeometry(ISBounds topoBounds, GBounds bounds){
	
		super(bounds, new RegularPartitioning(topoBounds, bounds), false);
	}
	
	public RegularPointGeometry(GBounds bounds, RegularPartitioning partition){
	
		super(bounds, partition, false);
	}

}
