/* 
    IllegalArgumentException.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.common;
//import java.io.*;

/** This exception is thrown whenever an illegal argument is passed to a method,
 *    and the situation is not covered specifically by another exception type like
 *   DimensionalityException, BoundsException, etc. 
 */
public class IllegalArgumentException extends SDBException{
   private static final long serialVersionUID = 0; // for serialization inheritance
    
    /** Create an exception with the specified message.*/
    IllegalArgumentException(String message){
    
        super(message);
    }
    
} 