//
//  MetaDataBaseError.java
//  DS2Test
//
//  Created by Philip Rhodes on Sun Apr 28 2002.
//  Copyright (c) 2001 __MyCompanyName__. All rights reserved.
//

//---------------------- Edit history as of 11/24/05 ------------------------------
// 11/24/05 rdb: revised (and simplified) to use new SDBError.logError 
//---------------------------------------------------------------------------------

package edu.unh.sdb.common;
//import java.io.*;


/** This error is created whenever there is a problem communicating with
 *   the MetaDataBase. 
 */

public class MetaDataBaseError extends SDBError{
    
    /** Create an error with the specified error level and message.
     *   The error level can be either SDBError.Fatal or 
     *   SDBError.Recoverable.
    */
    
    public MetaDataBaseError( int errorLevel, String message )
    {
        super( errorLevel, new MetaDataBaseException( message ) );
    }  
} 
