/* 
    SpaceID.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.common;


/**
 * This is a base class for all identifiers that are indices into a dimensional space. 
 *  
 *    
 */
public abstract class SpaceID implements Cloneable{
    
    public SpaceID(){}

    
    /** Set the specified axis to the specified value. */
    public void setCoord(int axisnumber,int value){}

    /** Set the specified axis to the specified value. */
    public void setCoord(int axisnumber,float value){}

    
    /** Returns the dimensionality of this SpaceID. */
    public abstract int dim();
    
    
    public abstract Object clone();


}



