/* 
    DSRecordSpec.java
    Copyright 2000 University of New Hampshire
    Durham, NH 03824
*/

package edu.unh.sdb.datasource;

import edu.unh.sdb.common.*;

/**
  *          
 */

public class DSRecordSpec extends RecordSpec{
    
    protected DataSource[] datasources;
    
    
    public DSRecordSpec(DataSource[] sources,int [] fieldNumbers){
    
        super(fieldNumbers);
        this.datasources= sources.clone();
    }
    
    /** Get the datasource reference at the indicated position. */
    public DataSource getIndexedDataSource(int index){
    
        return datasources[index];
    }

}
