package edu.unh.sdb.datasource;
/*
 * Edge.java
 *
 * Created on May 14, 2005, 1:47 PM
 */

import javax.vecmath.Point3d;

/**
 *
 * @author dlipsa
 */
class Edge
{
    
    /** Creates a new instance of Edge */
    public Edge(Point3d p1, Point3d p2)
    {
        this.p1 = p1;
        this.p2 = p2;
    }
    
    public int minValue(int currentMinValue, int axis)
    {
        double current;
        if (currentMinValue > (current = Math.ceil(SliceUtil.get(p1, axis))))
            currentMinValue = (int)current;
        if (currentMinValue > (current = Math.ceil(SliceUtil.get(p2, axis))))
            currentMinValue = (int)current;
        return currentMinValue;
    }
    
    int maxValue(int currentMaxValue, int axis)
    {
        double current;
        if (currentMaxValue < (current = Math.floor(SliceUtil.get(p1, axis))))
            currentMaxValue = (int)current;
        if (currentMaxValue < (current = Math.floor(SliceUtil.get(p2, axis))))
            currentMaxValue = (int)current;
        return currentMaxValue;
    }
    
     
    public String toString()
    {
        return "Edge(p1 = " + p1 + ", p2 = " + p2 + ")" + " x=" + x;
    }
    
    
    Point3d p1, p2;
    double dx, dxz;
    double x;
}
