/**
*    MysqlDBIF.java
*    Copyright 2000 University of New Hampshire
*    Durham, NH 03824				
*/


package edu.unh.sdb.mdb;

import java.sql.*;
import java.net.*;

public class MySQLDBIF extends DBIF{


  public MySQLDBIF(URL url)
  {
   	super(url);
  }


//-----------------register()---------------------------------
  void registration() 
  throws ClassNotFoundException, UnknownHostException, SQLException
  {

	localhost = InetAddress.getLocalHost().getHostName();

    dbUrl = "jdbc:mysql://" +localhost + "/" + myUrl.dbName; 
    driver = "org.gjt.mm.mysql.Driver";
    Class.forName(driver);


    }


//-----------------connect()------------------------------------
  void connection() throws SQLException
  {

   c= DriverManager.getConnection(dbUrl, myUrl.userName, myUrl.password);
     
  }
}

