/**
*    URL.java
*    Copyright 2000 University of New Hampshire
*    Durham, NH 03824				
*/


package edu.unh.sdb.mdb;

public class URL
{
  public String userName = "";
  public String password = "";
  public String dbName = "";
  public int dbType = 0;

  public URL(String dbName, String user, String pw, String type)
  {
    this.dbName = dbName;
    userName = user;
    password = pw;
    dbType = convert(type);
  }

   public URL(String dbName, String user, String pw, int type)
  {
    this.dbName = dbName;
    userName = user;
    password = pw;
    dbType = type;
  }



  private int convert(String type)
  {
	String tmp = type.toUpperCase();
    int rt = 0;

    if(tmp.equals("MYSQL"))
		rt = DBIF.MYSQL;
    else if(tmp.equals("ORACLE"))
      rt=DBIF.ORACLE;
    else if(tmp.equals("POSTGRE"))
      rt = DBIF.POSTGRE;

    return rt;
  }

}
