package edu.unh.sdb.remote;

public abstract class DataReceiver
{
	protected String serverIP;
	protected int serverDataPort;
	
	public void setServerIP(String ip){
		serverIP = ip;
		//System.out.println("Server IP for Receiver is set to "+ip);
	}
	
	public void setServerDataPort(int port){
		serverDataPort = port;
		//System.out.println("Server Data Port is set to "+port);
	}

	public abstract int ReceiveData(byte dst[], int size);
	
	public abstract void freeResource();
}