#include "RemoteDataSource.h"
#include "GraniteRemoteIF.h"
#include "ControlModule.h"

// simulation code
extern "C" {
extern void runSimCode();
}

int main(int argc, char**argv){

    // default server/port
    char server[1024];
    strcpy(server,"132.177.4.137");

    int port = 50000;

    // check arguments for server/port
    for (int i=1; i<argc; i++) {
   
      if (strstr(argv[i],"-server") != NULL) {
        if ( (i+1) < argc)
          strcpy(server,argv[i+1]);
      }
      else if (strstr(argv[i],"-port") != NULL) {
        if ( (i+1) < argc)
          port = atoi(argv[i+1]);
      }
    }

    // Create Remote Conenction
    GraniteRemoteIF* remote = new GraniteRemoteIF(server, port);

    //  Frain - need to add method in remoteconnection that checks if successful
    //          connection was made.
    if (remote->isConnected() == true) {
       ControlModule* cm = new ControlModule(remote);
    }
    else {
      fprintf(stderr, " Unable to connect to server!!! aborting program!\n");
      fprintf(stderr, "   - Attempted to connect to server at:  \n");
      fprintf(stderr, "   -  Server = %s     Port = %d   \n", server, port);

    }
    return 0;
}
